Bug 15211 - connection names not checked for shell escapes
Summary: connection names not checked for shell escapes
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rp3   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords: Security
: 16488 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-03 07:19 UTC by o.schnapauff
Modified: 2017-07-17 13:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-03 07:19:20 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description o.schnapauff 2000-08-03 07:19:19 UTC
Maybe Security problem:

rp3 / rp3-config doesnt properly check the buffer contents for special characters. Result: Anyone that can start rp3-config or rename a 
connection name  can run an arbitrary command as root.

As you seem to need the root pass to start rp3-config things arent too terrible, but this could still have bad side effects.

Do this: start rp3-config, as connection name use <something>&<command>

then try to start or stop that connection with rp3. <command> will be run as root. Happened originally when my connection was called "at&t"...

I suggest this should be fixed if there is any way a user or skript could ever provide a provider name to rp3.

Cheers, 

olaf

Comment 1 Nalin Dahyabhai 2000-08-03 15:10:04 UTC
This will be fixed in CVS and in rp3-1.1.2-5 and later.  All shell
metacharacters will now be quoted.

Comment 2 Nalin Dahyabhai 2000-08-20 03:55:35 UTC
*** Bug 16488 has been marked as a duplicate of this bug. ***

Comment 3 openshift-github-bot 2017-07-17 13:56:02 UTC
Commit pushed to master at https://github.com/openshift/origin

https://github.com/openshift/origin/commit/8693402c2ba77c5d7e3cd072fa348033ba5dc33b
Merge pull request #15231 from jim-minter/issue15211

Merged by openshift-bot


Note You need to log in before you can comment on or make changes to this bug.